# Register a webhook (deprecated) (deprecated)

Deprecated. Use Register a webhook for a client instead (POST /v1/clients/{clientId}/webhooks). Requires both x-api-key and Authorization: Bearer  headers.

Endpoint: POST /v1/webhooks
Version: 1.0.0
Security: bearerAuth

## Request fields (application/json):

  - `client_id` (string, required)
    Example: "{{clientId}}"

  - `url` (string, required)
    Example: "https://example.com/webhook"

  - `token` (string, required)
    Example: "secretToken0123"

  - `webhook_type` (string, required)
    Enum: "MONEY_IN", "STATUS_UPDATE", "CEP"

## Response 200 fields (application/json):

  - `id` (string)
    Example: "29806117-2b15-4682-87f0-350e6695fe91"

  - `clientId` (string)
    Example: "c2d1d1e3-3340-4170-980e-e9269bbbc551"

  - `url` (string)
    Example: "https://example.com/webhook"

  - `token` (string)
    Example: "secretToken0123"

  - `webhookType` (string)
    Example: "MONEY_IN"

  - `webhookStatus` (string)
    Example: "ACTIVE"

  - `createdAt` (string)
    Example: "2025-04-03 13:40:54.056794-06:00"

  - `updatedAt` (string)
    Example: "2025-04-03 13:40:54.056794-06:00"

  - `deletedAt` (null,string)
    Example: "None"

  - `blockedAt` (null,string)
    Example: "None"

  - `deletedBy` (null,string)
    Example: "None"

  - `blockedBy` (null,string)
    Example: "None"


